Dynamic Languages (Node.JS, Python, PHP, C/C++, Webserver Agent)

cancel
Showing results for 
Search instead for 
Did you mean: 

Python Agent with OS-X 64 (Darwin) is not installing using pip

Highlighted
New Poster

Python Agent with OS-X 64 (Darwin) is not installing using pip

I am testing the trial version of AppD, and today I tried running `pip install appdynamics` which tries to install the latest version `appdynamics (20.9.0.2430)`.

 

The installation fails on dependency `appdynamics-bindeps-osx-x64` looking for version 20.9.0 which is not available in the distribution as of now.

 

```

(sample-django) bash-3.2$ pip search appdynamics

appdynamics (20.9.0.2430)                         - Python Agent for AppDynamics

appdynamics-lambda-tracer (20.9.1.393)            - AppDynamics AWS Python Tracer

appdynamics-proxysupport-linux-x64 (1.8.0.252.1)  - Proxysupport for AppDynamics Python agent

appdynamics-bindeps-linux-x86 (20.9.0)            - Dependencies for AppDynamics Python agent

appdynamics-proxysupport-osx-x64 (1.8.0.212.1)    - Proxysupport for AppDynamics Python agent

appdynamics-bindeps-osx-x64 (11.0)                - Dependencies for AppDynamics Python agent

appdynamics-bindeps-linux-x64 (20.9.0)            - Dependencies for AppDynamics Python agent

appdynamics-proxysupport-linux-x86 (1.8.0.252.1)  - Proxysupport for AppDynamics Python agent

AppDynamicsRESTx (0.4.20)                         - AppDynamics REST API Library

```

It works for me when I force the installation to version 20.3.0 which in turn picks up 11.0 version for appdynamics-bindeps-osx-x64.

 

I believe the dependency packages are not updated on the pip distribution for latest version of python agent. Or am I missing something here?

 

Screenshot 2020-10-12 at 13.30.57.png

Tags (1)
Python Agent with OS-X 64 (Darwin) is not installing using pip
1 REPLY 1
Highlighted
AppDynamics Team

Re: Python Agent with OS-X 64 (Darwin) is not installing using pip

Hi Piyush,

 

Thanks for the details.

 

Starting from Python agent v20.7, Agent is not support on os x. Please refer: Ref: https://docs.appdynamics.com/display/PRO45/Python+Supported+Environments

 

Regards!
Arun G



Found something helpful? Click the Accept as Solution button to help others find answers faster.
Liked something? Click the Thumbs Up button.
Tags (2)